=== AMP for WP - Accelerated Mobile Pages ===
Contributors: mohammed_kaludi, ahmedkaludi, ampforwp
Tags: AMP, accelerated mobile pages, mobile, amp project, google amp, amp wp, google, plugin, SEO
Donate link: https://www.paypal.me/Kaludi/25
Requires at least: 3.0
Tested up to: 5.4.2
Stable tag: 1.0.61
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html

AMP for WP is the most recommended AMP plugin by the community. Automatically add Accelerated Mobile Pages (Google AMP Project) functionality on your WordPress site.

== Description ==
AMP for WP automatically adds Accelerated Mobile Pages (Google AMP Project) functionality to your WordPress site. AMP makes your website faster for Mobile visitors.

[What's New in this Version?](https://ampforwp.com/new/) | [Priority Support](https://ampforwp.com/priority-support/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin) | [View Demo](https://ampforwp.com/demo/) | [Screenshots](https://wordpress.org/plugins/accelerated-mobile-pages/screenshots/) | [Community](https://ampforwp.com/help-center/)

<strong>Extensions</strong><br>
Some useful extensions to extend AMP features, check [AMP Adsense Support](https://ampforwp.com/advanced-amp-ads/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin), [Contact Form 7 Support](https://ampforwp.com/contact-form-7/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin), [Email Opt-in Support](https://ampforwp.com/opt-in-forms/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin) and [Call To Action Support](https://ampforwp.com/call-to-action/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin). To view more, go to our [Extensions page](https://ampforwp.com/extensions/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin).

<strong>Support</strong><br>
We try our best to provide support on WordPress.org forums. However, We have a special [community support](https://ampforwp.com/help-center/) where you can ask us questions and get help about your AMP related questions. Delivering a good user experience means a lot to us and so we try our best to reply each and every question that gets asked.

<strong>Bug Reports</strong><br>
Bug reports for AMP for WP are [welcomed on GitHub](https://github.com/ahmedkaludi/Accelerated-Mobile-Pages). Please note GitHub is _not_ a support forum, and issues that aren't properly qualified as bugs will be closed.


= Features: =

* NEW - Gutenberg Support
* NEW - Divi and Elementor Support [More Info](https://ampforwp.com/amp-pagebuilder-compatibility/)
* NEW - Improved CSS Optimization (Tree Shaking)
* NEW - Google Fonts Support For All Designs
* NEW - Addthis Sharing Support
* NEW - AMP Infinite Scroll Support
* NEW - Photo Gallery by 10Web Support 
* NEW - MEWE social network Support 
* NEW - GDPR Compliance
* Out of the box compatiblity for Yoast SEO, All in One Seo, Rank Math, Genesis, SEOPress, Bridge Qode SEO, The SEO Framework and Squrilly SEO Plugin.
* Introducing Page Builder 3.0 for AMP! [Learn More & Video](https://ampforwp.com/tutorials/article/amp-page-builder-installation/)
* New Default Theme for AMP called Swift
* 3 Pre-built AMP Layouts for Business websites and landing pages 
* OneSignal Push Notifications integration 
* Advanced WooCommerce Support [More Info](https://ampforwp.com/woocommerce/)
* AMP Plugins Manager - Which allows you to disable a specific plugin functionality only in the AMP version
* Structured Data Options
* Page Break / NextPage (Pagination) Support
* Contact Form 7 Support [More Info](https://ampforwp.com/contact-form-7/)
* Graviry Form Support [More Info](https://ampforwp.com/gravity-forms/)
* Caldera Form Support [More Info](https://ampforwp.com/caldera-forms-for-amp/)
* Ninja Form Support [More Info](https://ampforwp.com/ninja-forms/)
* Facebook Comments Support
* Github Gist Support
* Email Opt-in Subscription form support in AMP added
* Call to Action boxes and notification bars 
* 9 Advertisement sizes - 2 More AD slots added recently
* Comments Forms in AMP.
* Native AMP Search functionality.
* Design 3 [Watch the Video Overview](https://www.youtube.com/watch?v=ub1pwskt3Rc)
* Disqus Comments Support
* Google Tag Manager Support
* Page, Category & Tags Support Added
* Custom AMP Editor - Which allows you to override your Content that you had written in Post or page, so you can add the different content just for AMP.
* Mobile Redirection -  More than 50% of your traffic is from mobile and you aren’t doing anything to improve their user experience, which means you are falling behind on SEO and it can result in lower SERPS. Lightning fast mobile version means faster User experience means more engagement which directly results in the lower bounce rate.
* Custom Post Type Support 
* Star Ratings
* Drag & Drop Page builder Added 
* 4 Designs for AMP 
* AMP WooCommerce Support 
* Switch on/off Support for Pages & Posts on AMP
* Translation Panel & RTL
* Internal AMP linking - You can browse AMP pages internally
* Related posts below the post
* Recent Comments list
* Automatically integrate AMP to your website.
* Google Adsense (AMP-AD) Support with 4 different Ad slots across the layout! The First Plugin to have this capability.
* Built in MGID Ads Support with 6 different ad slots.
* Google Analytics Support.
* User Friendly Theme Options Panel.
* Unlimited Color Scheme.
* Image Logo Upload.
* Supports Posts and Pages and other custom post types.
* Proper rel canonical tags which means that Google know the original page.
* Overlay Navigation Menu bar.
* Social Sharing in the Single.
* Sexy Design.
* Separate WordPress Menu for AMP version.
* Page builder & Shortcodes Compatibility.
* Carousel support for Gallery.
* Better Image stretching and resizing.
* Youtube Video Embed Support.
* Vine Embed Support.
* Twitter oembed Support.
* Instagram Embed Support.
* Facebook Video Embed Support.
* RTL Support
* Custom AMP FrontPage
* Notifications
* Alexa Metrics, Chartbeat, Hi-stats, Yandex Metrika, Piwik, Segment.com, StatCounter, Effective Measure and comScore Builtin Support
* Incontent & DoubleClick Support
* Great Support & Active Development.
* Widgets & WooCommerce 
* Breadcrumb Support added 
* Facebook Instant Articles Support Added
* AMP Installation Wizard that makes it easy to setup for new users.
* Category base remover support
* Tag base remover support
* 7 New Social Media Integrations added (Reddit, Tumblr, Telegram, Digg, StumbleUpon, Wechat, Viber) 
* AMP Theme Framework Core Support Added. You can now create AMP templates of your own in just minutes. **[More](https://ampforwp.com/amp-theme-framework/)**
* NEW - Make AMP & Non-AMP Same with just one click! 
* NEW - Allows you to use AMP as primary website!


**[JOIN CHAT GROUP COMMUNITY](https://ampforwp.com/community/)**: Purpose of this group is to get proper suggestions and feedback from plugin users and the community so that we can make the plugin even better.

= Getting Started: =
**[1. User Documentation:](https://ampforwp.com/help/)** The AMP for WordPress plugin is easy to setup but we have some tutorials and guides prepared for you which will help you dive deep with the plugin.

**[2. Developer Docs:](https://ampforwp.com/tutorials/article-categories/developer-documentation/)** We have created special documentations for developers and semi technical users who are willing to modify the plugin according to their own needs.

**[3. Support:](https://ampforwp.com/help-center/)** We try our best to provide support on WordPress.org forums. However, We have a special community support where you can ask us questions and get help about your AMP related questions. Delivering a good user experience means a lot to us and so we try our best to reply each and every question that gets asked.

**[4. Premium Support:](https://ampforwp.com/priority-support/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin)** We will personally take care that your website’s AMP version is perfectly validated. We will make sure that your AMP version gets approved and indexed by Google Webmaster Tools properly and we will even keep an eye on AMP updates from Google and implement them into your website.

== Credits ==
Some code used in this plugin was forked from 'AMP for WordPress' plugin https://wordpress.org/plugins/amp/ - License URI: http://www.gnu.org/licenses/gpl-2.0.html.
Mobile & Tablet detection library used https://github.com/serbanghita/Mobile-Detect - License URI: https://github.com/serbanghita/Mobile-Detect/blob/master/LICENSE.txt
PHP CSS Parser library used https://github.com/sabberworm/PHP-CSS-Parser - License URI: https://github.com/sabberworm/PHP-CSS-Parser#license (PHP-CSS-Parser is freely distributable under the terms of an MIT-style license.)

== Installation ==
**[Visit Help area for the Documentation:](https://ampforwp.com/help/)**

[youtube https://www.youtube.com/watch?v=Em1nsE_KaKw]

**[Visit Help area for the Documentation:](https://ampforwp.com/help/)**


== Frequently Asked Questions ==

= Can I add analytics? =

Yes, you easily can. In fact, we have support for 12 Analytics companies. Including Google Analytics, Facebook Pixel, StatCounter, QuantCast, Chartbeat, comScore to list a few. Also, we have Google Tag Manager (GTM) support as well.

= Can I add Ads in my AMP pages? =

Yes, you can. We have 6 ad placement slots that are built in and strategically placed to get maximum views. Also, we have [an extension](https://ampforwp.com/advanced-amp-ads/) from which you can insert ads between the content, will get more ad slots and also add custom banners to all the available slots.


= Can I extend/Change the AMP design, so it suits my needs? =

Yes, you easily can. We have created this plugin in such a way that it can easily be extended. Check out our [AMP Theme Framework](https://ampforwp.com/tutorials/article/getting-started-amp-framework/)


= Do you have any prebuilt designs? =

Yes, we have AMP themes section where we have free and paid designs available. We also update it regularly. You can check it out our [AMP Themes](https://ampforwp.com/themes)


= I'm a developer and I want to add custom functionality for a client, can I do that? =

Yes, of course. This plugin is very developer friendly, we have lots of hooks and filters that you can use to extend and customize according to the requirements. Also, we have [developer documentation](https://ampforwp.com/tutorials/article-categories/developer-documentation/) which we update regularly.


= How do I report bugs and suggest new features? =

You can report the bugs [here](https://github.com/ahmedkaludi/Accelerated-Mobile-Pages/issues)

= Will you Add New features to my request? =

Yes, Absolutely! We would suggest you send your feature request by creating an issue in [Github](https://github.com/ahmedkaludi/Accelerated-Mobile-Pages/issues/new/) . It helps us organize the feedback easily.


= How do I get in touch? =

You can contact us from [here](https://ampforwp.com/contact/)


== Screenshots ==
1. AMP Homepage
2. AMP Single Post
3. Post Navigation in Single
4. Sticky Social sharing icons
5. Overlay Navigation menu sidebar.
6. Page builder of the Single article. You can drag and drop any element.
7. Single post of Design One
8. GTMetrix Performance Report
9. Google PageSpeed Insight report for AMP
10. Homepage of Design One
11. Pingdom Speed Report for AMP

Device testing done through [BrowserStack](https://www.browserstack.com)
![BrowserStack](https://user-images.githubusercontent.com/16618009/53022655-a24ea780-3481-11e9-9a48-a2ca5bcd96d6.png)

== Changelog ==

= 1.0.61 (3rd August 2020) =
* Improvement: Added Open By Default option in accordion module of AMP Page Builder #4597
* Fixed: Wrong preview link is generating for the AMP pages and posts #4670
* Fixed: Code improved in category base and tag base remover #4664
* Fixed: Wrong breadcrumb links are generating in the AMP #4666
* Fixed: Optimize gallery code to enhance performance and improve the page load time #4656
* Fixed: Homepage URL has /amp at the end even after enabling AMP Takeover #4662
* Fixed: Background color not appearing in table when created with Tiny MCE advanced plugin #4627
* Fixed: Header right side icons styling improved in Design 3 #3935
* Fixed: The right and left arrows are converting into the special characters in AMP #4668 
* Fixed: Removed Shorthand versions of PHP from the code #4659
* Fixed: Wrong width and height in logo for SVG images #4650

= 1.0.60 (27th July 2020) =
* Improvement: Added below the related post hook #4653
* Fixed: Validation errors caused by Autoptimize for logged in users #4586
* Fixed: Styling issues with Reactions plugin by Vicomi #4637
* Fixed: If category name has special characters AMP Pagebuilder was not working #4610
* Fixed: autoplay attribute not working in the amp-vimeo tag #4648
* Fixed: incorrect width and height of logo in AMP #4650
* Fixed: Styling issues with AdsforWP section #4658
* Fixed: Code improvements for options panel #4647
* Fixed: Recent post appearing on pages as well in design 3 #4651

= 1.0.59 (23rd July 2020) =
* Improvement: Added noreferrer noopener attributes on social links #4509
* Improvement: Added webmaster tools meta tags when AMP takeover is enabled #4602
* Improvement: Added Conversion Goals Tracking for AMP Extension #4647 #4655
* Improvement: Added a filter to turn on/off the Aqua_resizer #4641
* Improvement: Added a filter to add/remove fields in Google Analytics #4646
* Fixed: noindex issue on homepage using Yoast #4609
* Fixed: Pagination not working in AMP with Magplus theme #4611
* Fixed: If category name has special characters AMP Pagebuilder was not working #4610
* Fixed: Letter-spacing issue in Swift Theme if RTL is enabled #4598
* Fixed: URL with square brackets [ ] causing issue in galleries AMP #4635
* Fixed: Google Analytics trigger functionality not working #4645
* Fixed: Validation error when css icons and sticky header is selected #4640
* Fixed: If Extension manager was active it was showing incorrect message #4613
* Fixed: Debug warnings #4626 #4639

Full changelog available [ at changelog.txt](https://plugins.svn.wordpress.org/accelerated-mobile-pages/trunk/changelog.txt)